#version 330

uniform mat4    viewMatrix, transMatrix, rotMatrix, projMatrix;
uniform vec4    mulCol;
uniform int     frame;
layout(location = 0)in vec3 vert;

layout(location = 8)in vec3 TexCoord;
layout(location = 3)in vec4 col;

smooth out vec4 mCol;
smooth out vec3 vTexCoord;

void main()
{
    vTexCoord=TexCoord;
    mCol=col;
    mCol.r*=mulCol.r;
    mCol.g*=mulCol.g;
    mCol.b*=mulCol.b;

    vec4 pos = projMatrix * viewMatrix *transMatrix* rotMatrix*vec4(vert,1.0) ;
    pos.x += 0.0;
    pos.y += 0.0;
    gl_Position = vec4(round(pos.x),round(pos.y),round(pos.z),round(pos.w));

}
